Page MenuHomePhabricator

Remove 'importers' (note the ending 's') group from wikitech
Closed, ResolvedPublic

Description

Apparently an old group was named like that but after it was removed members were left in the group and now users such as Chad are flagged as "importers" when they're not in that group. As it had to be done in other cases, a SQL command is required to clean this up. Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2017, 10:40 PM
bd808 moved this task from Backlog to Config on the wikitech.wikimedia.org board.Jul 27 2017, 3:02 AM
Dereckson triaged this task as Low priority.Oct 16 2017, 9:17 AM
Dereckson moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.

This needs someone with access to silver I guess. @bd808 do you have access there and can run the SQL query?

I do have access; I think all deployers do as well, although that may require using the mwdeploy shared agent from tin rather than direct access with their normal ssh key.

Is is just these user_groups records that need to be removed?

(wikiadmin@silver) [labswiki]> select user_name, ug_group from user, user_groups where user_id = ug_user and ug_group = 'importers';
+---------------+-----------+
| user_name     | ug_group  |
+---------------+-----------+
| Chad          | importers |
| Petrb         | importers |
| Thehelpfulone | importers |
+---------------+-----------+
3 rows in set (0.00 sec)

@bd808 Yep, that's them https://wikitech.wikimedia.org/wiki/Special:ListUsers?username=&group=importers. Should they still need to do XML importing they should be added to the 'importer' group instead via Special:UserRights.

Mentioned in SAL (#wikimedia-operations) [2017-10-17T14:47:18Z] <bd808> wikitech: Cleaned up 'importers' user_group entries (T171682)

bd808 closed this task as Resolved.Oct 17 2017, 2:48 PM
bd808 claimed this task.
(wikiadmin@silver) [labswiki]> select * from user_groups where ug_group = 'importers';
Empty set (0.00 sec)
Restricted Application added a project: User-bd808. · View Herald TranscriptOct 17 2017, 2:48 PM
bd808 moved this task from To Do to Done on the User-bd808 board.Wed, Jul 15, 9:17 PM